List a Participant's current Services
get
/public/v1/participants/{participant}/current-servicesReturns the Services belonging to the Participant's current Plan (the Plan whose date range includes today). Each Service includes its service coordinator, charge items and charge item sets. When the Participant has no current Plan, an empty list is returned.
participantstringrequiredThe participant UUID
page[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of PlanServiceResource
dataobject[]required▶Show 12 child attributesHide child attributes
idstringrequiredExample:p1l2a3n4-s5e6-47v8-9b0c-1d2e3f4a5b6cnamestringrequiredExample:Level 2 CoordinationamountintegerrequiredExample:1000000management_typeenum<string>requiredAvailable options:planselfndiaunknowntypestring | nullrequiredExample:unscheduled_servicestatusstringrequiredExample:currentstartstringrequiredExample:2024-01-01T00:00:00+00:00endstringrequiredExample:2024-12-31T00:00:00+00:00support_categoryobject | nullrequired▶Show 3 child attributesHide child attributes
namestringrequiredExample:Support CoordinationprefixstringrequiredExample:07groupstringrequiredExample:Capacity
service_coordinatorobject | nullrequired▶Show 4 child attributesHide child attributes
idstringrequiredExample:u1s2e3r4-a5b6-47c8-9d0e-1f2a3b4c5d6efirst_namestringrequiredExample:Johnlast_namestringrequiredExample:DoeemailstringrequiredExample:john.doe@example.com
charge_itemsobject[]required▶Show 9 child attributesHide child attributes
idstringrequiredExample:c1h2a3r4-g5e6-47i8-9b0c-1d2e3f4a5b6creferencestringrequiredExample:SUPPORT_COORD_L2numberstringrequiredExample:07_001_0106_8_3namestringrequiredExample:Support Coordination Level 2unitstringrequiredExample:HpriceintegerrequiredExample:10044gst_codestringrequiredExample:P2default_claim_typestring | nullrequiredExample:Directarchived_atstring | nullrequired
charge_item_setsobject[]required▶Show 6 child attributesHide child attributes
idstringrequiredExample:a1b2c3d4-e5f6-47a8-9b0c-1d2e3f4a5b6creferencestringrequiredExample:SC-SET-01namestringrequiredExample:Standard Support Coordination Setcharge_rate_patternstringrequiredExample:variable_weekdaygst_codestring | nullrequiredExample:P2archived_atstring | nullrequired
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found